> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Get task

GET https://api.taigabilling.com/api/tasks/v3/{task_id}

Reference: https://docs.taigabilling.com/api-reference/tasks-v-3/tasks-v-3-get

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `task_id` (string, required)

## Response

### 200

- `task_id` (string, required)
- `encounter_id` (string, required)
- `task_type` (enum, required)
  - Allowed values: `CUSTOMER_DATA_REQUEST`, `CLAIM_SUBMISSION_RUN_VALIDATIONS_FAILURE`, `CLAIM_SUBMISSION_SUBMIT_CLAIM_FAILURE`, `CLAIM_SUBMISSION_TRANSFORM_FAILURE`, `CODE_CLAIM`, `CODE_CLAIM_REVIEW`, `ELIGIBILITY`, `CLAIM_FOLLOW_UP`, `REJECTION_RESOLUTION`, `PAYER_CONFIGURATION_ERROR`, `DENIAL_RESOLUTION`, `MISSING_ENROLLMENT`, `CHARGE_CAPTURE_UPDATE`
- `description` (string, required)
- `blocks_claim_submission` (boolean, required)
- `external_id` (string, required)
- `patient_name` (string, required)
- `patient_external_id` (string, required)
- `status` (enum, required)
  - Allowed values: `finished`, `addressed_by_provider_group`, `sent_to_provider_group`, `open`, `blocked`, `waiting_for_review`, `in_progress`
- `notes` (list of tasksv3TaskNote, required)
- `created_at` (datetime, required)
- `updated_at` (datetime, required) — The time of most recent update to the task only
- `agg_updated_at` (datetime, required) — The time of most recent update to the task or any of its notes
- `date_of_service` (date, required)
- `assignments` (list of tasksv3TaskAssignment, required)
- `payer_name` (string, optional, nullable)
- `payer_id` (string, optional, nullable)
- `category` (enum, optional, nullable)
  - Allowed values: `other`, `provider_credentialing`, `authorization_required`, `inactive_coverage`, `unknown_eligibility_or_patient_not_found`, `incorrect_member_id`, `documentation_addendum_request`, `coordination_of_benefits`, `missing_or_incorrect_gender`, `incorrect_date_of_birth`, `incorrect_payer`, `incorrect_name`, `invalid_diagnosis_code`, `non_covered_diagnosis_codes`, `information_requested_from_patient`, `incorrect_rendering_provider_info`, `missing_or_incorrect_modifier`, `coding_frequency_error`, `incorrect_patient_address`, `multiple_em_claims`, `missing_or_incorrect_charge_amount`, `medical_records_request`, `provider_enrollment_or_contracting`, `missing_or_incorrect_group_number`, `missing_diagnosis_codes`, `missing_patient_authorization`, `incorrect_billing_provider_info`, `incorrect_procedure_code`, `incorrect_quantity`, `incorrect_place_of_service_code`, `incorrect_service_facility_info`, `incorrect_date_of_service`, `missing_or_incorrect_ndc`, `patient_collections`, `submit_to_secondary`, `transient_server_error`, `missing_remittance_enrollment`, `missing_claims_enrollment`, `held_by_customer`, `pending_manual_remit_posting`, `incorrect_referring_provider_info`, `payer_configuration_error`, `downcoding_review`
- `configurable_rule_id` (string, optional, nullable)
- `persisted_rule_id` (string, optional, nullable)
- `organization_id` (string, optional, nullable)

## Errors

### 403 Forbidden Error

- `Tasks_v3_getRequestForbiddenError`
  - TasksV3GetRequestForbiddenError0

### 404 Not Found Error

- `Tasks_v3_getRequestNotFoundError`
  - TasksV3GetRequestNotFoundError0

## Types

### tasksv3TaskNote

- `task_note_id` (string, required)
- `text` (string, required)
- `created_at` (datetime, required)
- `author_name` (string, required)
- `author_organization_name` (string, required)

### tasksv3TaskAssignment

- `task_assignment_id` (string, required)
- `assignee_user_id` (string, optional, nullable)

### TasksV3GetRequestForbiddenError0

- `errorName` (enum, optional)
  - Allowed values: `EntityNotFoundError`
- `content` (UnauthorizedErrorMessage, optional)

### TasksV3GetRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `EntityNotFoundError`
- `content` (EntityNotFoundErrorMessage, optional)

### UnauthorizedErrorMessage

- `message` (string, optional, nullable)

### EntityNotFoundErrorMessage

- `id` (string, required)

## Examples

**Response**

```json
{
  "task_id": "string",
  "encounter_id": "string",
  "task_type": "CUSTOMER_DATA_REQUEST",
  "description": "string",
  "blocks_claim_submission": true,
  "external_id": "string",
  "patient_name": "string",
  "patient_external_id": "string",
  "status": "finished",
  "notes": [
    {
      "task_note_id": "string",
      "text": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "author_name": "string",
      "author_organization_name": "string"
    }
  ],
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "agg_updated_at": "2024-01-15T09:30:00Z",
  "date_of_service": "2023-01-15",
  "assignments": [
    {
      "task_assignment_id": "string",
      "assignee_user_id": "string"
    }
  ],
  "payer_name": "string",
  "payer_id": "string",
  "category": "other",
  "configurable_rule_id": "string",
  "persisted_rule_id": "string",
  "organization_id": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/tasks/v3/task_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```